Delete a Customer Shipping Address {#tms-ship-addr-tkn-delete-intro}
====================================================================

This section describes how to delete a customer shipping address.

Endpoint {#tms-ship-addr-tkn-delete-intro_section_hqw_rjt_gwb}
--------------------------------------------------------------

**Test:** `DELETE ``https://apitest.visaacceptance.com``/tms/v2/customers/`*{customerTokenId}*`/shipping-addresses/{shippingAddressTokenId}`{#tms-ship-addr-tkn-delete-intro_restcust-test}  
**Production:** `DELETE ``https://api.visaacceptance.com``/tms/v2/customers/`*{customerTokenId}*`/shipping-addresses/{shippingAddressTokenId}`  
The *`{customerTokenId}`* is the customer token ID returned in the id field when you created the customer token. In the *`{shippingAddressTokenId}`* path parameter, pass the shipping address token ID response field returned when you created a shipping address token. For more information, see [Create a Customer](/docs/vas/en-us/tms/developer/all/rest/tms/tms-cust-tkn/tms-manage-cust-tkn/tms-cust-tkn-create-intro.md "") and [Create a Customer Shipping Address](/docs/vas/en-us/tms/developer/all/rest/tms/tms-cust-tkn/tms-ship-tkn/tms-ship-addr-tkn-create-intro.md "").
IMPORTANT If you have more than one shipping address, the default shipping address cannot be deleted without first selecting a new default shipping address.

Required Fields for Deleting a Customer Shipping Address {#tms-ship-addr-tkn-delete-reqfields}
==============================================================================================

customerTokenId
:
Include the ID of the customer token you want to retrieve in the URL path.

shippingAddressTokenId
:
Include the ID of the shipping address token you want to retrieve in the URL path.

REST Example: Deleting a Customer Shipping Address {#tms-ship-addr-tkn-delete-ex-rest}
======================================================================================

Request

```keyword
DELETE https://apitest.visaacceptance.com/tms/v2/customers/F2F3ADA770102B51E053A2598D0A9078/shipping-addresses/F2F4C2D1B966D631E053A2598D0AB155
```

{#tms-ship-addr-tkn-delete-ex-rest_codeblock_c51_vmt_gwb}  
Response to a Successful Request
A successful delete response returns an empty `HTTP 204 No Content` status. For more information, see [HTTP Status Codes](/docs/vas/en-us/tms/developer/all/rest/tms/tms-ref-info/tms-http-status.md "").
